package demojsoncrud.services;

import demojsoncrud.beans.PersonaBean;
import demojsoncrud.dao.DAOFactory;
import demojsoncrud.dao.PersonaDAO;
import org.json.JSONObject;

public class PersonaService {

    DAOFactory daoFactory = DAOFactory.getDAOFactory(DAOFactory.SQL_SERVER);
    PersonaDAO service = daoFactory.getPersonaDAO();

    public JSONObject listarPersona(String search, String draw, String start, String length) {
        JSONObject jsonReturn = null;
        try {
            jsonReturn = service.listarPersona(search, draw, start, length);
        } catch (Exception e) {
            e.getMessage();
        }
        return jsonReturn;
    }

    public JSONObject registrarPersona(JSONObject datos) {
        JSONObject jsonReturn = null;
        try {
            jsonReturn = service.registrarPersona(datos);
        } catch (Exception e) {
            e.getMessage();
        }
        return jsonReturn;
    }

    public JSONObject editarPersona(JSONObject datos) {
        JSONObject jsonReturn = null;
        try {
            jsonReturn = service.editarPersona(datos);
        } catch (Exception e) {
            e.getMessage();
        }
        return jsonReturn;
    }
    
    public JSONObject cambiarEstado(JSONObject datos) {
        JSONObject respuesta = null;
        try {
            respuesta = service.cambiarEstado(datos);
        } catch (Exception e) {
        }
        return respuesta;
    }

}