package demojsoncrud.services;

import demojsoncrud.beans.UbigeoBean;
import demojsoncrud.dao.DAOFactory;
import demojsoncrud.dao.UbigeoDAO;
import org.json.JSONObject;

public class UbigeoService {

    DAOFactory daoFactory = DAOFactory.getDAOFactory(DAOFactory.SQL_SERVER);
    UbigeoDAO service = daoFactory.getUbigeoDAO();

    public JSONObject listarDepartamento() {
        JSONObject jsonReturn = null;
        try {
            jsonReturn = service.listarDepartamento();
        } catch (Exception e) {
        }
        return jsonReturn;
    }

    public JSONObject listarProvincia(JSONObject datos) {
        JSONObject jsonReturn = null;
        try {
            jsonReturn = service.listarProvincia(datos);
        } catch (Exception e) {
        }
        return jsonReturn;
    }

    public JSONObject listarDistrito(JSONObject datos) {
        JSONObject jsonReturn = null;
        try {
            jsonReturn = service.listarDistrito(datos);
        } catch (Exception e) {
        }
        return jsonReturn;
    }

}
