let ubigeo = {
    consultarDepartamento () {
        return new Promise((resolve, reject) => {
            fetchSo('../UbigeoServlet?accion=listarDepartamento')
              .then((data) => {
                  resolve(data)
              })
              .catch((data) => {
                  reject(data)
              })
        })
    },
    consultarProvincia (codigoDepartamento) {
        let json = {
            codigoDepartamento: codigoDepartamento
        }
        return new Promise((resolve, reject) => {
            fetchSo('../UbigeoServlet?accion=listarProvincia', json)
              .then((data) => {
                  resolve(data)
              })
              .catch((data) => {
                  reject(data)
              })
        })
    },
    consultarDistrito (codigoDepartamento, codigoProvincia) {
        let json = {
            codigoProvincia: codigoProvincia,
            codigoDepartamento: codigoDepartamento
        }
        return new Promise((resolve, reject) => {
            fetchSo('../UbigeoServlet?accion=listarDistrito', json)
              .then((data) => {
                  resolve(data)
              })
              .catch((data) => {
                  reject(data)
              })
        })
    }
}

let asignarEventos = () => {
    let slDepartamento = document.querySelector('#select_departamento')
    let slProvincia = document.querySelector('#select_provincia')
    let slDistrito = document.querySelector('#select_distrito')
    slDepartamento.addEventListener('change', (e) => {
        let codigoDepartamento = parseInt(e.target.value)
        ubigeo.consultarProvincia(codigoDepartamento)
          .then((data) => {
              let opt = '<option value="0">[ SELECCIONE ]</option>'
              opt += createSelectOptions(data.data.provincias, 'codigoProvincia', 'nombreProvincia')
              slProvincia.innerHTML = opt
          })
          .then(() => {
              $('#select_provincia').selectpicker('refresh')
          })
    })
    slProvincia.addEventListener('change', (e) => {
        let codigoDepartamento = parseInt(slDepartamento.value)
        let codigoProvincia = parseInt(e.target.value)
        ubigeo.consultarDistrito(codigoDepartamento, codigoProvincia)
          .then((data) => {
              let opt = '<option value="0">[ SELECCIONE ]</option>'
              opt += createSelectOptions(data.data.distritos, 'codigoDistrito', 'nombreDistrito')
              slDistrito.innerHTML = opt
          })
          .then(() => {
              $('#select_distrito').selectpicker('refresh')
          })
    })
    slDepartamento.addEventListener('change', (e) => {
        let departamento = parseInt(e.target.value)
        if (departamento === 0) {
            slProvincia.innerHTML = '<option value="0">[ SELECCIONE ]</option>'
            slDistrito.innerHTML = '<option value="0">[ SELECCIONE ]</option>'
        } else {
            slProvincia.value = 0
            slDistrito.value = 0
        }
        $('#select_provincia').selectpicker('refresh')
        $('#select_distrito').selectpicker('refresh')
    })
}

ubigeo
  .consultarDepartamento()
  .then((data) => {
      let element = document.querySelector('#select_departamento')
      let opt = '<option value="0">[ SELECCIONE ]</option>'
      opt += createSelectOptions(data.data.departamentos, 'codigoDepartamento', 'nombreDepartamento')
      element.innerHTML = opt
  })
  .then(() => {
      $('#select_departamento').selectpicker('refresh')
  })
asignarEventos()